<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style>

#myUL li a:hover:not(.header) {
  background-color: #eee;
}

a {
    text-decoration: none;
    display: inline-block;
    padding: 8px 16px;
}

a:hover {
    background-color: #ddd;
    color: black;
}

.back {
    background-color: #f1f1f1;
    color: black;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    border: 1px solid #ddd;
}

th, td {
    text-align: left;
    padding: 16px;
}

tr:nth-child(even) {
    background-color: #f2f2f2
}



    </style>
    <title>Germany</title>
    <link rel="stylesheet" href="css/bootstrap.min.css"/>
    <link rel="stylesheet" href="css/jquery-ui.min.css"/>
    <link rel="stylesheet" href="css/bank.css"/>
</head>

<h2>Germany - Base Data</h2>
</div>
<div id="basedata" class="tab-pane fade" role="tabpanel" aria-labelledby="basedata-tab">
    <table class="table table-striped">
        <thead>
        <th scope="col">City</th>
        <th scope="col">Country</th>
        <th scope="col">Quantity</th>
        <th scope="col">Longitude</th>
        <th scope="col">Latitude</th>
        <th scope="col">DataSetId</th>
        <th></th>
        </thead>
        <tbody id="germany_list"></tbody>
    </table>
</div>

<a href="#" class="previous">&laquo; Back</a>

<body>
<script src="js/jquery.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script>

        $(document).ready(
            function() {
            initUIControls();
                giveMeAllCustomers();

            }
        );
function giveMeAllCustomers() {
            $.ajax(
                {
                    method: "GET",
                    url: "/project/kotidData/list",
                    dataType: "json",
                    contentType: "application/json",
                    complete: function (response) {
                        $('#germany_list').empty();
                        var germany = response.responseJSON;
                        for (var i = 0; i < customers.length; i++) {
                            var row = "<tr>";
                            row = row + "<td>" + germany[i].city + "</td>";
                            row = row + "<td>" + germany[i].country + "</td>";
                            row = row + "<td>" + germany[i].quantity + "</td>";
                            row = row + "<td>" + germany[i].lon + "</td>";
                            row = row + "<td>" + germany[i].lat + "</td>";
                            row = row + "<td>" + germany[i].id + "</td>";
                            row = row + "<td>";
                            row = row + "</td>";
                            row = row + "</tr>";
                            $('#germany_list').append(row);
                        }
                    }
                }
            );
        }



</script>

</body>
</html>



